libtuxcap4_0-1.4.0+2016.05.05-1.5.x86_64.rpm


Advertisement

Description

libtuxcap4_0 - Tux Cap Games Framework

Distribution: openSUSE 42.2
Repository: openSUSE Games all
Package name: libtuxcap4_0
Package version: 1.4.0+2016.05.05
Package release: 1.5
Package architecture: x86_64
Package type: rpm
Installed size: 1.79 MB
Download size: 444.06 KB
Official Mirror: ftp.gwdg.de
The TuxCap Games Framework is a GNU/Linux and Mac OSX port of the PopCap Games Framework used for 2D game development. It comes with PyCap Python bindings, a fast 2D physics engine, a particle engine, widgets and many documented examples.

Alternatives

Provides

  • libtuxcap.so.4.0()(64bit)
  • libtuxcap4_0 = 1.4.0+2016.05.05-1.5
  • libtuxcap4_0(x86-64) = 1.4.0+2016.05.05-1.5

    Install Howto

    1. Add the openSUSE Games repository:
      # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/games/openSUSE_Leap_42.2/ opensuse-games
    2. Install libtuxcap4_0 rpm package:
      # zypper install libtuxcap4_0

    Files

    • /usr/lib64/libtuxcap.so.4.0
    • /usr/share/doc/packages/libtuxcap4_0/AUTHORS
    • /usr/share/doc/packages/libtuxcap4_0/CHANGELOG
    • /usr/share/doc/packages/libtuxcap4_0/COPYRIGHT
    • /usr/share/doc/packages/libtuxcap4_0/PopCap Framework License.txt
    • /usr/share/doc/packages/libtuxcap4_0/README

    Changelog

    2016-08-29 - rpm@fthiessen.de - Added fix-gcc-6.patch - Added fix-static-library.patch - Update to current vcs version 1.4.0+2016.05.05

    2012-02-19 - jengelh@medozas.de - Update license field to reflect actual license - Use short URL - Remove redundant tags/sections from specfile

    2011-07-02 - jengelh@medozas.de - Use %_smp_mflags for parallel building - Strip %clean section (not needed on BS)

    2009-06-11 - prusnak@suse.cz - updated to 1.4.0 - fix stdint.h issue (stdint.patch)

    2009-05-05 - prusnak@suse.cz - created package (version 1.3.3) - fix build flags and don't try to build demos (build.patch) - fix broken ImageMagick detection (imagemagick.patch) - don't build static library (no-static.patch)

    Advertisement
    Advertisement